
//  Jesse Reichler, January 1996
//  Fred Delcomyn
//
//  ground.h
//  This file contains the class definition for the Ground class,
//   which is dervied from Thing, and for the time being is just going
//   to be a plane, but we may want to expand it to a tesselated model.
//  
//
#ifndef Ground_defined
#define Ground_defined

#include "misc.def"
#include "thing.h"
#include "contact.h"
#include "physobject.h"
#include "matrixinc.h"





class Ground: public Thing
{
public:
  Ground(World *worldp,char *groundname);
  double normalat(perVectorR3 *loc, perVectorR3 *normal);
  double depthat(perVectorR3 *loc);
};








#endif




