// swhexcontrol.h
// This file defines the wrappers for the hexapod controller

// forward delcarations
class SWhexcontrol_obj;


#ifndef swhexcontrolh_defined
#define swhexcontrolh_defined

#include "cfpinc.h"
#include "hexcon.h"


class SWhexcontrol_obj: public CfpObject
{
private:
  Hexcon *controllerp;
  CfpVAccTriggerProxy *proxyp;
public:
  SWhexcontrol_obj(bool registerme=true):CfpObject() {if (registerme) GlobalFactoryreg(this,"Hexcontrol");};
  SWhexcontrol_obj(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj
private:
  void construct_legcontroller();					// build it
private:
  void addaccessors();							// add any variable accessors
};











#endif
