/***********************************************************************

 DVector.c
 DVector Class Source Code
 Copyright (C) 1993
        Lyle Hall 1993/94
        Eric C. Welton 1993/94
        Beckman Institute - Urbana, Illinois
        For Neuronal Pattern Analysis Group and Hexapod Project

        These libraries are free and may be redistributed and/or modified,
        provided the above notice and this paragraph are included.
        These libraries may not be sold and are distributed without
        any warranty or implication of fitness for a purpose.

 General Information

        The DVector library provides fundamental vector-of-double
 operations.

***********************************************************************/

#include "DVector.h"
#include "DMatrix.h"

#define __DONT_DEFINE_VECTOR_TEMPLATE
#define TYPE         double
#define VCLASSNAME   DVector
#define MCLASSNAME   DMatrix

// Turn of function inlining so that we actually place the
// code here
#define INLINE
#include "Vector_Imp.h"

