/***********************************************************************

 LinearAlgebra.h
 Tools for solving Linear Systems of Equations
 Copyright (C) 1993
        Lyle Hall 1993/94
        Eric C. Welton 1993/94
        Beckman Institute - Urbana, Illinois
        For Neuronal Pattern Analysis Group and Hexapod Project

        These libraries are free and may be redistributed and/or modified,
        provided the above notice and this paragraph are included.
        These libraries may not be sold and are distributed without
        any warranty or implication of fitness for a purpose.

***********************************************************************/
// Jesse 2/31/96 adding double version



#ifndef LINEAR_ALGEBRA_TOOLS
#define LINEAR_ALGEBRA_TOOLS

#include "FMatrix.h"
#include "FVector.h"
#include "DMatrix.h"
#include "DVector.h"

FVector Solve(const FMatrix& mat,const FVector& vect);
DVector Solve(const DMatrix& mat,const DVector& vect);


#endif

