// JRrand.h
// This file defines some aux. random number generator stuff

// forward declarations
class JRRand;

// start file
#ifndef INC_JRrand
#define INC_JRrand


class JRrand
{
  private:
  double u[97],c,cd,cm;
  int i97,j97;
  int test;
public:
  JRrand() {;};
  JRrand(int ij,int kl) {RandomInitialise(ij,kl);};                     // initialize random number generator;
public:
  void   TimeRandomize();
public:
  void   RandomInitialise(int ij,int kl);
public:
  double RandomUniform();
  double RandomGaussian(double mean,double stddev);
  int    RandomInt(int lower,int upper);
  double RandomDouble(double lower,double upper);
public:
  double rand01() {return RandomDouble(0,1);};                          // shortcut
};




// }
// Namespace close-brace
#endif



