//  Jesse Reichler, January 1996
//  Fred Delcomyn
//
//  thing.C
//  This file contains the class definition for the Thing class,
//   which is really just used as a superclass for robots and objects.
//  See thing.h for description.
//

#include "thing.h"

#include <string.h>




void Thing:: setthing(const char *thingname, World *worldp, int wowned)
{
  strcpy(name,thingname);
  homeworld=worldp;
  
  // this tells world if it's responsible for updating,drawing,
  // and deleting this thing
  worldowned=wowned;
}



Thing:: ~Thing()
{
  // This is a virtual func, so derived classes might have their own,
  // but this one will also be called, so being here is expected.
}



void Thing::movie_load(FILE *moviefp)
{
  // load the necsesary vars from the binary file
}

void Thing::movie_save(FILE *moviefp)
{
  // save the necsesary vars from the binary file
}
