// swdatafile.h
// This file describes the wrappers for the main datafile classes

// forward delcarations
class SWdatafactory_obj;


#ifndef swdatafactoryh_defined
#define swdatafactoryh_defined

#include "cfpinc.h"

#include "datafactory.h"
#include "datastream.h"



class SWdatafactory_obj: public CfpObject
{
private:
  Datafactory *dfactp;
  StreamFilter *filterp;
public:
  SWdatafactory_obj(bool registerme=true) : CfpObject() {if (registerme) GlobalFactoryreg(this,"Datafactory");};
  SWdatafactory_obj(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj
private:
  void construct_Datafactory();						// 
  void construct_filter();						// 
  void construct_datum();						// 
  void addaccessors();							// add any variable accessors
};










#endif
