// swsneur.h
// This file describes the wrappers for Jan's sneur sensor model

// forward delcarations
class SWsneur_obj;


#ifndef swsneurh_defined
#define swsneurh_defined

#include "sneur.h"
#include "cfpinc.h"



class SWsneur: public CfpObject
{
private:
  SNEUR *sneurp;
  CfpVAccessor *stimulandacc;
  double lasttime;
public:
  SWsneur(bool registerme=true):CfpObject() {if (registerme) GlobalFactoryreg(this,"Sensor.Sneur");};
  SWsneur(Configpp *cfpfp,CfpClass *inclassp,string oname);
public:
  virtual void registerwrappers(CfpFactory *sfactp);
  CfpObject *makenew(CfpClass *inclassp,string objname);		// generic makenew
  CfpVal done();							// any return value?
  void destruct();							// deinstatiate wrapped obj
  void construct();							// no arg constructor of wrappedobj
private:
  void construct_sneur();						// build it
private:
  void addaccessors();							// add any variable accessors
  void addargs_sneur(CfpClass *newclassp);				// add generic args
private:
  void update(double curtime);                                          // invoke the sneur update with proper time&stimuland
};











#endif
